package Debug.Debugger;

import Debug.EnvDebug;

public class CommandNextTimer extends Thread {
	private int time;
	private Prompt prompt;
	
    
    /**
     * 
     * @param time the intervall in seconds
     * @param prompt reference to the class Prompt
     */
	public CommandNextTimer(int time, Prompt prompt) {
		this.time = time;
		this.prompt = prompt;
	}
	
	
    
    /**
     * runs the thread and sends continuous-messages automatically
     * in the given intervall
     */
	public void run() {
		while(true) {
			for(int i = 0; i < time; i++) {
				try {
					sleep(1000);
				} catch (InterruptedException e) {
					e.printStackTrace();
				}
			}
			EnvDebug.mirror.sendContinuous();
			prompt.textarea.append("\n\n\"next\" automatically send");
		}
	}
}
