/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

import Debug.EnvDebug;
import CTL.Env;


/**
 * Executes the debugger which contains the prompt, the mirror
 * and the visualizer
 * 
 * @author Bjoern Gebhardt, Johannes Baumgarten, Jurij Merker, Stephan Kluge, Svetlana Li
 *
 */

public class DebuggerMain {
	Prompt prompt;
	static MirrorConnectHandler mch;
	static DebugServer ds;
	public static int recv = 0;
	
	
	/**
	 * Constructs the reference to the classes Mirror, Prompt and Visualizer
	 */
	public DebuggerMain(){
		EnvDebug.mirror.setRunmode(true);
		this.prompt = new Prompt();
	    this.ds = new DebugServer();
	    ds.start();
		prompt.setVisible(true);
		Env.isDebugger=true;
	}
	

	/**
	 * Executes the whole debugger
	 * @param args
	 */
	public static void main(String[] args){
		DebuggerMain dm = new DebuggerMain();

	}
	
}


