/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;


public class TimeoutException extends Exception{
	/** Internal Debug exception */
	
		/** Needed for the Exception interface */
		public static final long serialVersionUID = 1337;
		/** User-defined exception message */
		String msg;

		/** Generate a new TimeoutException
		 * @param msg User-defined exception message
		 */
		public TimeoutException (String msg)
		{
			this.msg = msg;
		}

		/** Get the user-defined message
		 * @return Message
		 */
		public String getMsg ()
		{
			return msg;
		}
	}


