/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug;


import Debug.Visualizer.gui.*;


/**
 * This class is used to hold references to the Mirror and Visualizer for all other 
 * classes in the debugger
 * @author Jurij Merker
 *
 */
public class EnvDebug {
	public static Mirror mirror; 
	public static VisiRun vis;
	
	
	static
	
	{
		mirror = new Mirror();
		vis = new VisiRun();
		
	}

}
