/*
 * Copyright (C) 2006 Johannes Baumgarten, Bjoern Gebhardt, Mathias Kellner, Stephan Kluge, Svetlana Li, Jurij Merker, Daniel Meyer, Andre Schucht, Ling Wu
 *
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License. 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details. 
 * You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110, USA
 */
package Debug.Debugger;

/**
 * This class contains static methods to split a String
 * 
 * @author Stephan Kluge
 *
 */
public class SplitString {
    
    /**
     * Splits a String on the token before the last word
     * @param command The given String to split
     * @return Returns the last word of the command
     */
    public static String lastExpression(String command, char token) {
        if(command != null) {
        	for(int i=command.length()-1; i >= 0 ;i--) {
        		if(command.charAt(i) == token) {
        			command = command.substring(i+1,command.length());
        			if(command.equals(""))
        				return null;
        			return command;
        		}
        	}
        }
        return null;
    }
    
    /**
     * Splits a String on the token before the last word
     * @param command The given String to split
     * @return Returns all without the last word of the command
     */
    public static String firstExpressions(String command, char token) {
    	if(command != null) {
    		for(int i=command.length()-1; i >= 0 ;i--) {
    			if(command.charAt(i) == token) {
    				command = command.substring(0,i);
    				return command;
    			}
    		}
        	return command;
    	}
    	return null;
    	}
}
